Bug 477979 - (ripmime) Review Request: ripMIME - Extract attachments out of a MIME encoded email packages
Review Request: ripMIME - Extract attachments out of a MIME encoded email pac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-26 16:27 EST by Itamar Reis Peixoto
Modified: 2009-08-20 11:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.4.0.9-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 15:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-12-26 16:27:23 EST
Spec URL: http://ispbrasil.com.br/ripmime/ripmime.spec
SRPM URL: http://ispbrasil.com.br/ripmime/ripmime-1.4.0.9-1.fc8.src.rpm
Description: 

Extract attachments out of a MIME encoded email packages



koji scratch build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1022551
Comment 1 Edouard Bourguignon 2009-01-22 10:38:47 EST
This is my first review, I hope I won't say anything wrong.


Review
======

Good:

- rpmlint checks return 0 errors, 0 warnings
- package meets naming guidelines
- license (BSD) OK, matches source
- source matches upstream (25761b8a533bc935f75902724fb73244)
- package compiles on F10-i386/x86_64

Bad:

* Package is not using %{optflags} during compilation.
Comment 3 Douglas Schilling Landgraf 2009-07-29 12:59:35 EDT
Hello Itamar,

  I did a review into your spec and from my point of view your package looks sane.

Cheers,
Douglas
Comment 4 Jan Klepek 2009-07-29 14:46:31 EDT
Douglas,

I know that you are working on informal reviews. However, when you do review, you should write what you have checked.
Comment 5 Jan Klepek 2009-08-01 15:39:40 EDT
rpmlint must be run on every package. 
- OK
[makerpm@kokain result]$ rpmlint ripmime-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


The package must be named according to the Package Naming Guidelines
- OK

The package must meet the Packaging Guidelines .
- OK


If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK


The spec file must be written in American English.
- OK


The spec file for the package MUST be legible.
- OK


The sources used to build the package must match the upstream source, as provided in the spec URL.
- OK


If the package does not successfully compile, build or work on an architecture, ...
- OK


All build dependencies must be listed in BuildRequires
- OK


Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
- OK, no shared library


If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
- OK


A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
- OK


A Fedora package must not list a file more than once in the spec file's %files listings.
- OK


Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
- OK


Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK


Each package must consistently use macros.
- OK


The package must contain code, or permissable content.
- OK


Large documentation files must go in a -doc subpackage.
- OK


If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
- OK


Header files must be in a -devel package.
- OK


Static libraries must be in a -static package.
- OK


Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
- OK


If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
- OK


In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- OK


Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK


Packages containing GUI applications must include a %{name}.desktop file
- OK


Packages must not own files or directories already owned by other packages.
- OK


At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
- OK


All filenames in rpm packages must be valid UTF-8.
- OK

Conclusion: Approved
Comment 6 Itamar Reis Peixoto 2009-08-01 15:56:17 EDT
New Package CVS Request
=======================
Package Name: ripmime
Short Description:  ripMIME - Extract attachments out of a MIME encoded email packages
Owners: itamarjp
Branches: F-10 F-11 EL-5
InitialCC:
Comment 7 Jason Tibbitts 2009-08-01 16:04:51 EDT
CVS done.
Comment 8 Fedora Update System 2009-08-01 17:17:59 EDT
ripmime-1.4.0.9-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ripmime-1.4.0.9-2.fc11
Comment 9 Fedora Update System 2009-08-01 17:18:31 EDT
ripmime-1.4.0.9-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ripmime-1.4.0.9-2.fc10
Comment 10 Fedora Update System 2009-08-01 17:20:33 EDT
ripmime-1.4.0.9-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/ripmime-1.4.0.9-2.el5
Comment 11 Fedora Update System 2009-08-03 15:22:22 EDT
ripmime-1.4.0.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-08-03 15:25:00 EDT
ripmime-1.4.0.9-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-08-20 11:00:28 EDT
ripmime-1.4.0.9-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.